Skip to content
You're viewing documentation for v2026.11.10-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Give the second factor

Send a code of the authenticator app, or an unused recovery code. Sets a new session cookie. A failed code counts toward the login lockout. The step expires 5 minutes after the password login.

POST/api/v1/auth/two-factor/verify
Authorization
tse_sessionAPI key · cookierequired
Header parameters
X-Forwarded-Protostring
Request body
requiredapplication/json
codestring

The 6-digit code of the authenticator app

recovery_codestring

An unused recovery code, in place of the code

Responses
200

OK

okbooleanrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/auth/two-factor/verify' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "code": "string",
  "recovery_code": "string"
}'
Response
{
  "ok": true
}